<?php


function SetIndexWarning(&$warning, $reason=''){
 
  if (strpos($reason, 'from_out') !== FALSE){
    $warning .=<<<EOW
 <p>Diese Seite wird aus folgenden Gr&uuml;nden angezeigt:
 <ul>
  <li>Sie m&ouml;chten direkt auf sie zugreifen.</li>
  <li>Sie m&ouml;chten von einer externen Weiterleitung auf sie zugreifen.</li>
  <li>Sie m&ouml;chten von einer Umgebung mit deaktiviertem Referer zugreifen, einschlie&Uuml;殕ich dem Android Standard Browser.</li>
  <li>Ihre Download Sitzung ist abgelaufen.</li>
 </ul>
 </p>

EOW;
  }
  
  if (strpos($reason, 'index') !== FALSE){
    $warning .=<<<EOW
    <p>Die Website (<b><a href="{$GLOBALS['http_dir_top']}/upld-index.php">{$GLOBALS['index_name']}</a></b>) nach diesem Link hat <b>{$GLOBALS['contents_explanation']}</b> Inhalte.
EOW;

    $warning .= ($GLOBALS['contents_age_restriction'])?
      "<br>Fahren Sie NUR fort wenn sie erwachsen sind und sich der Risiken bewusst sind." : '';

    $waning .=<<<EOW
 <br>Denken Sie au&Uuml;歹rdem daran dass <b>ALLE Inhalte automatisch durch die Berner Konvention und das japanische Gesetz unter Copyright stehen.</b></p>

EOW;
  }
}

//-----------------------------------------------
function SetError($disp_error='', $OPmode=''){

   $html ='<a name="error"><h2>Ablehnung und Fehler</h2></a>' . "\n";

  $error['access'] =<<<EOC
<a name="error_access"><h3>Zugangsverbot</h3></a>

<p>Wenn ihr Host auf der Zugangsverbotsliste ist kommt die folgende Fehlermeldung wenn sie versuchen Dokumente oder Themen zu sehen:
<blockquote><b>&quot;{$GLOBALS['message']['error-access-denied']}&quot;</b></blockquote>

<p>Diese Kontrolle trifft nur auf eingeschr&auml;nkte Inhalte zu. In diesem Fall kommt folgende Fehlermeldung:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-host']}&quot;</b></blockquote></p>

<p>Auch wenn ihr Zugang verboten ist, k&ouml;nnen Sie Listen, Thumbnails, und den &quot;Anfragen und Ank&uuml;ndigungen&quot; Thread sehen. Und Sie k&ouml;nnen im &quot;Aufhebung von Verboten&quot; Thread um Aufheben der Sperre bitten.</p>

EOC;

  $error['proxy'] = '';
  if ($GLOBALS['access_denied_from_proxy'] || $GLOBALS['post_denied_from_proxy']){
    if ($OPmode == ''){
      $error['proxy'] =<<<EOC
<a name="error_proxy"><h3>Offener Proxy</h3></a>

<p>Wenn ihr Host als offener Proxy eingestuft wurde, kommt die folgende Fehlermeldung wenn sie versuchen Dokumente oder Themen zu sehen:
<blockquote><b>&quot;{$GLOBALS['message']['error-access-proxy']}&quot;</b></blockquote>

<p>In diesem Fall k&ouml;nnen Sie in diesem &quot;Dereguration of denial&quot; Thread posten, um permanenten Zugang zu erhalten, <b>oder Sie k&ouml;nnen dieses Formular ausf&uuml;llen, um sofort einen tempor&auml;ren Zugang zu erhalten</b>.

<p>Bitte geben Sie den Namen dieser Website und ihre Email-Adresse an.<br />
Ich werde Ihnen eine Email mit dem Passwort f&uuml;r tempor&auml;ren Zugang zusenden.<br />
Bitte denken Sie daran, dass Ihre Zugangseinstellungen auf diesem Browser gel&ouml;scht werden.</p>

EOC;

    }else if ($OPmode == 'sendmail'){
      $error['proxy'] = '<h3>Access Anmeldung in Bearbeitung</h3><p>Ich habe die Email gesendet. Bitte empfangen Sie sie, und geben sie Adresse und Passwort aus der Email ein.';
    }else if ($OPmode == 'auth'){
      $error['proxy'] = '<h3>Zugangsantrag abgeschlossen</h3><p>Tempor&auml;rer Zugang ist vorbereitet. Er ist g&uuml;ltig f&uuml;r '. $GLOBALS['tmpcookie_lifetime'] . ' Stunden. Viel Spa&szlig;!</p>';
    }
    $error['proxy'] .= upld_disp::DispAccessApplicationForm($OPmode);
    
  }

  $error['post'] =<<<EOC
<a name="error_post"><h3>Ablehnung von Posts</h3></a>

<p>Wenn ihr Host auf der Zugangsverbotsliste ist, kriegen Sie folgende Fehlermeldung wenn sie versuchen in Themen zu schreiben ihre Eigenschaften zu ver&auml;ndern:
<blockquote><b>&quot;{$GLOBALS['message']['error-post-denied']}&quot;</b></blockquote>

<p>Diese Kontrolle trifft nur auf eingeschr&auml;nkte Inhalte zu. In diesem Fall kommt folgende Fehlermeldung:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-host']}&quot;</b></blockquote></p>

<p>Ihr Durchst&ouml;bern von Themen und Dokumenten ist nicht gestattet, und Sie k&ouml;nnen im &quot;Aufhebung von Verboten&quot; Thread um Aufhebung der Sperre bitten.</p>

EOC;

if (count($GLOBALS['taglist_restriction']) > 0){
   $error['restriction'] =<<<EOC
<a name="error_restriction"><h3>Beschr&auml;nkungsfehler</h3></a>

<p>Sie sehen die unten genannte Fehlermeldung wenn Sie versuchen eingeschr&auml;nkte Dokumente oder Themen ohne entsprechende Einstellung aufzurufen:
<blockquote><b>&quot;{$GLOBALS['message']['op-restriction']['denied-tag']}&quot;</b></blockquote>
Sie k&ouml;nnen Ihre Beschr&auml;nkungseinstellungen auf der <a href="{$GLOBALS['dir_bbs_html']}/upld-index.php">Hauptseite</a> konfigurieren.</p>

<p>Wenn es ihrem Host verboten ist, eingeschr&auml;nkte Inhalte aufzurufen, k&ouml;nnen Sie dies nicht &auml;ndern.

<p>In diesem Fall k&ouml;nnen Sie in diesem &quot;Dereguration of denial&quot; Thread posten, um permanenten Zugang zu erhalten.

EOC;
$filter = $GLOBALS['obj_filter'];
$error['restriction'] .= ($disp_error)? upld_disp::DispRestrictionForm($filter->cookie_restriction) : '';

}else{
  $error['restriction'] ='';
}

$error['upload'] =<<<EOC
<a name="error_upload"><h3>Begrenzung von Uploads</h3></a>

<p>Es gibt eine Upload-Begrenzung um einen Download-Ansturm zu verhindern.
<br />Die Begrenzung betr&auml;gt {$GLOBALS['maxsize_file_update_puser_pday']} [kB/24Stunden/Benutzer] und 
{$GLOBALS['maxsize_file_update_pday']} [kB/24Stunden].

<p>Bitte warten Sie einige Stunden zum Uploaden wenn dieser Fehler kommt.
EOC;

   $error['download'] =<<<EOC
<a name="error_download"><h3>Begrenzung von Downloads</h3></a>

<p>Es gibt eine Download-Begrenzung um den &quot;503 Service Temporary Unavailable&quot; Fehler des Webservers zu verhindern, welcher haupts&auml;chlich durch &Uuml;berlastung ausgel&ouml;st wird.
<br />Die Begrenzung betr&auml;gt {$GLOBALS['maxsize_file_transfer_pday']} [MB/Tag] und {$GLOBALS['maxsize_file_transfer_phr']} [MB/Stunde].
<br />[en]The limitation for each user exists too.

<p>Die Tagesbegrenzung wird t&auml;gluch um 0900 GMT (= 0000 JST) zur&uuml;ckgesetzt, und die st&uuml;ndliche Begrenzung zu jeder vollen Stunde. Bitte seien Sie geduldig.
EOC;

  if ($disp_error==''){
    $html .= $error['access'] . $error['proxy'] . $error['post'] . $error['restriction'] . $error['upload'] . $error['download'];
  }else{
    $html .= $error[$disp_error];
  }
  return $html;
}

function SetRule(){
 
  $html =<<<EOC
<p>Diese Benachrichtigungen sind nur f&uuml;r Spezalf&auml;lle in diesem Uploader, welche nicht mit Vernunft beurteilt werden k&ouml;nnen.

<h2>&Uuml;ber Benutzer</h2>

<p>Benutzer haben nur Sonderrechte auf ihren eigenen Seiten, Dateien und Themen.
<br>Erstellen Sie also bitte keine Benutzerkonten wenn sie nicht vorhaben, Dateien hochzuladen oder Themen zu er&ouml;ffnen.
<br>Ich werde alle Benutzerkonten l&ouml;schen, die innerhalb eines gewissen Zeitraums keine Dateien hochgeladen oder Themen er&ouml;ffnet haben.

<p>Wenn Sie ihr Passwort vergessen, bitte fragen Sie mich ({$GLOBALS['root_email']}).
<br>Ich kann Ihre Passw&ouml;rter nicht einsehen, aber ein neues erstellen.

<h2>&Uuml;ber Erstellung oder Upload von Dateien</h2>

  <p>Bitte laden sie <b>{$GLOBALS['contents_explanation']}</b>-bezogenen Inhalt hoch.

<p>Bitte ver&ouml;ffentlichen Sie nicht gro&szlig;e Mengen von Dateien auf einmal oder nur f&uuml;r einen begrenzten Zeitraum da dies Fehler 503 (request overload) verursacht.
<br>Der Hosting service provider sagt dass sie den Schwellwert f&uuml;r 503-Fehler verringern, wenn der Server 503-Fehler bringt.

<p>Erwachsenen-Inhalte sind vom Hosting Service Provider streng untersagt.
<!-- <br>Sie sagen, dass Photografien und Filme einbezogen sind, aber Zeichnungen NICHT als Erwachsenen-Inhalte gelten. -->
EOC;
    $genreString = "";
    if (count($GLOBALS['taglist_genre']) > 0){
        for($i = 0; $i < count($GLOBALS['taglist_genre']); $i++){
            $genreString .= '<li>' . $GLOBALS['taglist_genre'][$i][0];
            $genreString .= ' (' . $GLOBALS['taglist_genre'][$i][1] . ') &nbsp; '; 
        }

        $html .=<<<EOC
<a name="genre"><h2>Genre</h2></a>
<p>Ersteller k&ouml;nnen einen "genre tag" an Dateien und Themen anheften um das Genre anzugeben.
<br>Benutzer k&ouml;nnen die Genre Tags an Dateien und Themen einsehen.
<br>Ersteller k&ouml;nnen einen oder mehrere Tags aus der unteren Liste ausw&auml;hlen.
<ul>{$genreString}</ul>
EOC;
}

    $restrictionString = "";
    if (count($GLOBALS['taglist_restriction']) > 0){
        for($i = 0; $i < count($GLOBALS['taglist_restriction']); $i++){
            $restrictionString .= '<li>' . $GLOBALS['taglist_restriction'][$i][0];
            $restrictionString .= ' (' . $GLOBALS['taglist_restriction'][$i][1] . ') &nbsp; '; 
        }
        
        $html .=<<<EOC
<a name="restriction"><h2>Restriction Tag</h2></a>
<p>Ersteller k&ouml;nnen einen st&auml;rkeren "restriction tag" an Dateien und Themen anheften um ihn vor Besuchern zu verstecken, welche sie nicht sehen wollen.
<br>Besucher m&uuml;ssen eine Zugangskontroller setzen um Dateien und Themen mit Restriction Tags zu sehen (eingeschr&auml;nkte Inhalte).
<br>Ersteller k&ouml;nnen einen oder mehrere Tags aus der unteren Liste ausw&auml;hlen.
<ul>{$restrictionString }</ul>

<p>Diese Tags werden benutzt, im Inhalte vor ungewillten Personen zu verstecken.
<br>Bitte heften Sie sie also NUR an, wenn Sie denken, dass der Inhalt zuviel f&uuml;r einen durchschnittlichen Besucher der Seite sein k&ouml;nnte.
<br>Ansonsten k&ouml;nnten alle Besucher ihre Zugangskontrolle auf "all tags" setzen, Zugangskontrolle dadurch bedeutungslos machen.
<br>Die Ausnahmen sind "Labia" und "Penis" in Bildern. Bitte heften Sie diese Tags an, wenn ihre Bilder diese Inhalte eindeutig zeigen.

EOC;
    }

    $html .=<<<EOC
<h2>&Uuml;ber das Posten von Artikeln</h2>

<p>Bitte halten Sie sich an die generellen Regeln von Foren.
<br>Herausgabe von pers&ouml;nlichen Informationen, N&ouml;tigung, und Vort&auml;uschung von Tatsachen sind untersagt.
<br>Wenn sie diese Regeln brechen, werden Sie vom Posten von Artikeln gesperrt und ausgeschlossen.

<p>Uploader kann Ihren Post ablehnen wenn ihre Artikel zuviele http-Links oder vordefinierte NoGo-W&ouml;rter enthalten.
<br>Bitte kontaktieren Sie mich ({$GLOBALS['root_email']}) in so einem Fall.

<p>Bitte schreiben sie nicht ihre Email-Adresse in das Mail-Feld, andernfalls erhalten Sie einen hohe Zahl Spam-Mails.

<p>Bitte setzen Sie ein Passwort falls eine Nachricht sp&auml;ter editieren oder l&ouml;schen m&ouml;chten.
<br>Die Ersteller von Artikeln k&ouml;nnen mit Passwort Artikel &auml;ndern und l&ouml;schen.
<br>Der Eigent&uuml;mer des Themen kann Artikel nur mit Passwort l&ouml;schen.
<br>Der Administrator kann ohne Passwort Artikel &auml;ndern und l&ouml;schen.

<p>Sie k&ouml;nnen sich selbst identifizieren indem sie "#" plus das Passwort nach Ihrem Namen in das Namensfeld setzen.
Zum Beispiel, "Taro#hoge" wird &uuml;bersetzt als "Taro笳・vRbZL6NeQ" als Passwort (Ihr Name ist egal).
<br>Wenn Sie sich mit Ihrem Passwort im Mail-Feld verschrieben haben, ist das kein Problem. 
Uploader wird alle Zeichen nach dem "#" im Feld l&ouml;schen. 
EOC;

  $html .= SetError();
     
   $html .=<<<EOC
<h2>&Uuml;ber Copyrights</h2>

<p>Z&ouml;gern Sie nicht zu uns zu verlinken.
<br />Bitte verstehen Sie, dass alle Links zu unserer Seite zur Informationsseite f&uuml;hren, Sie also keine Inhalte auf Ihrer Seite einbetten k&ouml;nnen.

<p>Bitte kopieren Sie keine Inhalte ohne Erlaubnis des Erstellers (das bin nicht Ich).
<br>Ich habe viele M&uuml;hen in den Uploader gesteckt um ihn brauchbar f&uuml;r Nicht-Japaner zu machen. Aber "brauchbar" bedeutet nicht "einfach zu kopieren".
<br>Ihr Kopieren macht meine M&uuml;hen vergebens. Bitte vergessen Sie das nicht.
EOC;

return $html;

}

//-----------------------------------------------
function SetApplicationMail($pass){
  $subject = 'Zugangsantrag zu ' . $GLOBALS['index_name'];
  $message =<<<EOM
[en]Hallo liebe User,

Danke f&uuml;r Ihren Antrag f&uuml;r tempor&auml;ren Zugang zu {$GLOBALS['index_name']}.
Ihr Passwort steht "{$pass}".

Diese Mail wird automatisch generiert und an je nach Bedarf vom Anwender.
Wenn Sie keine Kenntnis von diesem Mail sind, bitte senden Sie mir antworten.

Regards,
Administrator von {$GLOBALS['index_name']}
EOM;

return array($subject, $message);
}

?>
