<?php

$GLOBALS['message'] = array(

  // Noun
  'user'        => 'User',
  'rule'        => 'Rules',
  'bbs'         => 'BBS',
  'thread'      => 'Thread',
  'file'        => 'File',
  'search'      => 'Search',
  'article'     => 'Article',  
  'password'    => 'Password',
  'old_threads' => 'Obsoleted Threads',
  'remote-host' => 'Remote host',
  'range'       => 'range',
  'site'        => 'Website',
  
  'top'         => 'Top',  
  'list'        => 'List',
  'moddate'     => 'Modified Date',
  'name'        => 'Name',
  'introduction'=> 'Introduction',
  'color'       => 'Color scheme',
  'order'       => ' order seting',
    
  'title'       => 'Title',
  'account'     => 'Account',
  'mail'        => 'E-Mail',
  'address'     => 'address',
  'contents'    => 'Contents',
  'confirmation'=> 'confirmation',
  'info'        => 'Info',
  'message'     => 'Message',
  'operation'   => 'Operation',
  
  'genre'     => 'Genre',
  'restriction'     => 'Restriction',
  'folder'    => 'Folder',
  'notification' => 'Notification',
    'cookie' => 'Cookie',
    
  // for BBS or articles
  'bbs-disp_all' => 'See All',
  'bbs-last'     => 'Last',
  'bbs-num'      => 'Number',
  
  // for user list
  'count-people'    => 'people',

  // for folder list
  'folder-all'       => '',
  'folder-all-title' => 'All Folder',
  'folder-all-show'  => 'Show All',
  'folder-top'       => '~',
  'folder-top-title' => 'Top Folder',

  // for file list
  'flist-thumbnail'   => 'Thumbnail(s)',
  'flist-author'      => 'Author',
  'flist-fsize'       => 'Size',
  'count-files'       => 'files',
  
  // for thread list
  'tlist-articles'  => 'Num of Articles',
  'tlist-owner'     => 'Owner',
  'count-threads'   => 'threads',

  // Verbs which is displaied on buttons
  'create'      => 'Create',
  'execute'     => 'Execute',
  'index-login' => 'Login',
  'logout'      => 'Logout',
  'reset'       => 'Reset',
  'submit'      => 'Submit',
  'send'        => 'Send',
  'flow'        => 'Flow',
  'relation'    => 'Relationship',
  
  // Other verbs
  'go-forward'  => 'Go',
  'go-back'     => 'Back',
  'confirm'     => 'Confirmation',
  'overwrite'   => 'Overwrite',
  'control'     => 'Control',
  
  // adjectives
  'next'        => 'Next',
  'back'        => 'Back',
  '_name'       => 'Name',
  'belong'      => "'s ",
  'related'     => 'Related ',
  'complete'    => 'Complete',

  // texts
  'back2top'     => 'Back to Global Top',
  'bbs-back2bbs' => 'Back to BBS',    
  'bbs-write'    => 'Write',
  'bbs-omit'     => '(*) means omittable.',
  'welcome'    => 'Welcome to ' . $GLOBALS['index_name'] . '.',

  // for title of user's page
  'index-intro'     => "'s Works are exhibited here.",
  'index-title'     => "'s Site.",

  // for toppage, printed in bottom 
  'index-account'   => 'Account',
  'index-upassword' => "'s Password",
  'index-newuser'   => 'Create New User',

  // for user's operation page
  'admin-top'       => 'Admin Toppage',
  'admin-user'      => 'User Info',
    'admin-title-top'    => "'s Admin Page",
    'admin-title-thread' => "'s Thread control ",  
    'admin-title-file'   => "'s File control",  
    'admin-title-user'   => "'s User Infomation",
    'admin-title-folder' => "'s Folder Infomation,",

    // for operation page
    'op-confirm'           => 'Confirmation for opration.',
    'op-complete'          => 'Operation has been completed.',
    'op-error'             => 'Error!',
    
    'is-proceeding' => ' is proceeding.',
    'is-completed' => ' is completed.',
    'is-not-done' => ' is not executed.',
    'is-changed'   => ' is changed.',
    'is-deleted'   => ' is deleted.',
    'is-created'   => ' is created.',

    //error (input related)
    'error-different-pass' => 'Two passwords must be same.',
    'error-vacant'         => ' is not set.',
    'error-too-large'      => ' is too large. Maximum size is : ',
    'error-too-short'      => ' is too short. Minimum size is : ',
    'error-char'           => ', as input, contains forbidden characters.',
    'error-duration'       => 'Please wait some more seconds after your operation :',
    'error-duration2'      => 'Please proceed next operation within the limited time :',
    'error-input'          => ', as input, is wrong, forbidden value, or not allowed to modify.',
    'error-invalid'        => ' has invalid value.',
    'error-expired'   => ' had been expired (out of date).',
  
    // error (object related)
    'error-no-exists'      => 'The object do not exists.',
    'error-no-change'      => 'The input value is same as original one.',
    'error-already-exists' => 'The object already exists.',
    'error-not-unique'     => 'The object is not unique. Found amount is : ',  
    'error-unbinded'       => 'Relationship no longer exists.',
    'error-binded'         => 'The object alread has relation to others.',
    'error-cant-bind'      => ' can not be binded.',

    // error (authorization related)
    'error-not-login'      => 'Please login as appropriate user.<br /> If you can not login, please modify your browser configuration to receive cookies.',
    'error-opmode'         => 'Invalid operation mode is setted.',
    'error-not-authorized' => 'You can not proceed the operation.',
    'error-password'       => 'Password is not matched.<br>If you foget your password, please contact to Administrator (' . $GLOBALS['root_email'] . ').',
    'error-access-denied'  => 'Your Host or IP address is denied to access this website <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=access">(See detail)</a>.',
    'error-access-proxy'  => 'Your Host or IP address is judged as open proxy, and it is not allowed to access or post. <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=proxy">(See detail)</a>.',  
    'error-post-denied'    => 'Your Host or IP address is denied to post any article in this thread <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=post">(See detail)</a>.',
    'error-referrer'       => 'Please set your browser to send referrer.',
    
    // error (system related)
    'error-internal'       => 'Internal error (may be bug or so, sorry). ',
    'error-not-writable'   => ' is not writable.',
    'error-not-readable'   => ' is not readable.',    
    'error-session'        => 'Session imcomplete.',
    'error-locked'         => 'The operation is locked by other user.',
    'error-transfer-pday'       => 'You can not download it because the total size of downloaded files by whole or each user has exceeded daily limitation.<br />Please try after the day changes in Japan <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(See detail)</a>.',
    'error-transfer-phr'       => 'You can not download it because the total size of downloaded files by whole or each user has exceeded hourly limitation.<br />Please try after the hour changes <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(See detail)</a>.',
    'error-db-connect'       => 'Connection to DB/DB server is failed.',
    
    'max-length' => 'Max length in [bytes] : ',
    'max-size' => 'Max size in [kB] : ',
    'char-digit'    => 'You can use only digits.',
    'char-unlimited' => 'You can use any characters.',
    'char-en' => 'You can use number, alphabets, _ (underbar) and - (hyphen)',
    'char-email' => 'You can use number, alphabets, and 4 chars ( <b>@ _ - .</b> )  ',
    'char-html-ng' => 'You can not use 4 chars (<b>&amp; &lt; &gt; &quot;</b>) ',
    'not-changeable' => ' Not changable.',
    'require-same-password' => 'Please enter same password as upper.',

  'dummy'      => 'dummy');

$GLOBALS['message']['textmode'] = array(
  'Text mode', 'Plain (No HTML tags)',
 'Middle (automatic newline)','HTML (manual newline)',
 'You can use these tags');

$GLOBALS['message']['sage_mode'] = array(
    0=>array('Float','Float','Thread goes top when you write to thread, unless you put &quot;sage&quot; as E-mail'),
    1=>array('Submarine','Submarine','Thread goes top only if you put &quot;age&quot; as E-mail'),
    2=>array('Bottom','Bottom','Thread never goes top.'),
    );

$GLOBALS['message']['op-article'] = array(
    'fix'=>array('Fix',"<br />To fix article, <b>Password on Article</b> is needed. Password of Thread owner is not allowed."),
    'delete'=>array('Delete','<br />To delete article, <b>Password on Administrator, Article or Thread owner</b> is required.<br /> If you put Administrator\'s password + "x", the article will be deleted completely.'),
    'error-first' => 'First message can not be deleted or modified.',
    'error-fix-deleted' => 'Can not modify article which is once deleted.',
    'error-range' => 'out of range',
    'posted'  => 'Article posted.',
    'error-url'=> "Too many URLs.",    
  );

$GLOBALS['message']['op-file'] = array(
    'fixinfo'=>array('Change Info', 'Change file name, title, genre, and restriction of selected file.'),
    'delete'=>array('Delete', 'Delete selected file.'),
    'edit'=>array('Edit', 'Edit selected text file on your browser (Max ' . $GLOBALS['maxsize_file_edit'] . ' [kB])',
                  'Since session error may occur, so you had better to edit in your side, and use cut amd paste.<br />' ),
    'thread'=>array('Create thread', 'Creates new thread with relationship to selected file.'),
    'bind_folder' =>array('Bind/Unbind to Folder', 'Add or Delete relationship between selected document and folder (let it blank to delete).'),
    'bind_user'=>array('Bind to User', 'Change ownership of anonymous-owned file.'),
    'create'=>array('Create','Create new text file.', 'Create and write new text by browser. filename will be FileName<b>.htm</b>'),
    'upload'=>array('Upload','Upload file.', 'Overwrite if same file exists.',
                    'Alternate user account', 'The file has been uploaded.',
                    'Inputs below will be used commonly on all files above.',
                    'Keep user\'s moddate as if there are no updates.'),
    'deal-anonymous'=>'Deal as anonymous user.',
    'error-binary' => 'You can not edit binary file',
    'error-ms04-028' => 'This jpeg image includes exploit code (MS04-028).',
    'error-filetype' => 'File type is not recognizable, or this filetype is not allowed to update. The file' . $GLOBALS['allowed_ftype'] . ' is allowed',
    'error-totalsize' => 'The total of file-size exceeds the limitation of system (' . $GLOBALS['maxsize_file_all'] . ' [MB]).',
    'error-quota' => 'The total of file-size exceeds the limitation of quota (' . $GLOBALS['maxsize_file_quota'] . ' [MB/user]).',
    'error-upload-pday' => 'The total size of updated files by whole user exceeded the limitation (' . $GLOBALS['maxsize_file_update_pday'] . ' [kB/24hour]). <br />Please wait several hours <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">(See detail)</a>.',
    'error-upload-pday' => 'The total size of your uploaded files exceeded the limitation (' . $GLOBALS['maxsize_file_update_puser_pday'] . ' [kB/24hour/user]). <br />Please wait several hours <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">(See detail)</a>.',
    'time-remain'=>'Keep the time of document. The time will be kept if the filesize changes less than ' . $GLOBALS['minsize_file_update'] . ' bytes.',
    'notification-ext'=> 'The extension is not allowed to change.',  
    'notification-upload'=>
"Allowed file type: {$GLOBALS['allowed_ftype']} (Extention is automatically attached).
<br / >The thumbnail will not be attached if your image exceeds {$GLOBALS['image_maxW_thumbnail']} x  
{$GLOBALS['image_maxH_thumbnail']} pixels.
<br>To privent download rush, please do not upload more than 20MB at once, nor publish in limited period."
  );

$GLOBALS['message']['op-thread'] = array(
    'stop'=>array('Stop', 'Send selected thread to old-log list.'),
    'recall' =>array('Recall', 'Recall selected old-thread as current one.'),
    'fixinfo'=>array('Change Info', 'Change flow control, genre, and restriction.'),
    'bind_folder' =>array('Bind/Unbind to Folder', 'Add or Delete relationship between selected thread and folder. Let it blank to delete.'),
    'bind_file' =>array('Bind/Unbind to File', 'Add or Delete relationship between selected thread and file. <br />The relationship between folder may be changed. Let it blank to delete.'),    
    'delete'=>array('Delete','Delete thread'),
    'bind_user'=>array('Bind to User', 'Add relationship between selected thread and written user.'),
    'create'=>array('Create','Create new Thread.'),
  'link'   => '-owned thread will be created.',
    'flow-mode' => 'flow mode',
    'view'  =>array('View', 'View host and cookie of each articles'),
    'error-exceed' => "Can not post because this thread exceeds the limitation : " .
        "{$GLOBALS['bbs_article_max']} articles, or {$GLOBALS['maxsize_thread']} [kB].",
    'warn-exceed' => "This thread almost exceeds the limitation : " .
        "{$GLOBALS['bbs_article_max']} articles, or {$GLOBALS['maxsize_thread']} [kB].",
    'auto-link' => 'If you create file or folder related thread, it will become user\'s thread automatically.',
    'no-link' => array('Create as non-related thread.',
                       'If you want to create your thread, you have to <a href="upld-op-user-login.php">login</a>.<br />'),
    'old-log' => array('The obsoleted log', ' exists instead.'),
    'notification-create'=>"<p><b><a href=\"upld-index-admin.php?mode=thread&uid_login={$GLOBALS['anonymous_user_id']}\">Create New Thread</a><br />
Notify: Only normal thread is made by this link. To make user-related thread,
You have to <a href=\"upld-op-user-login.php\">login</a>.</b></p>",
    'notification-title'=>'',
    'warn-obsoleted'    =>'This thread has already obsoleted.',
    'warn-current'    =>'This thread is current one, not obsoleted.',
    'error-thread-max' => 'Since the amount of thread has exceeded limitation (' . $GLOBALS['bbs_thread_max'] . ' there are no space to recall.',
    );

$GLOBALS['message']['op-user'] = array(
  'intro'  =>array('Intro', 'Change your introduction message on your page.'),
  'delete' =>array('Delete', 'Delete user'),
  'fixpass' =>array('Fix Passowrd', 'Change password of user.'),
  'rcvmail'=>array('Receive Mail','Change the user can receive mail or not.'),
  'change'=>array('Change Info', 'Change user information.', 'Edit'),
  'continue'=>array('Continue setting', ', Welcome!'),
  'login'=>array('Anonymous user do not need to login.', ', Welcome', 'Admin menu'),
  'create'=>array('Create'),
  'color'=>array('Change Color','Change background color in your page.','Preview','Background',
                 'Back to previous color', 'Back to system default',
                 'No setting...browser\'s color', 'Please preview first, then change'),
  );

$GLOBALS['message']['op-restriction'] = array(
    'release'   => 'Access control for restricted contents',
    'changed'   => 'Access control for restricted contents is changed.</p>',
    'denied-host'  => 'You are not allowed to see any restricted contents <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">(See details)</a>.',
    'denied-tag'   => 'Please set your access control on <a href="' . $GLOBALS['http_dir_top'] . '/upld-index.php">toppage</a> to see restricted contents <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">(See details)</a>.',
    'denied-change' => 'You are not allowed to change your access control for restricted contents.',
    'warn-tag'   => "You are going to access restricted document.\n",
    'notification-psp' => 'The download will start. This link is to see downloaded one.',
);


$GLOBALS['message']['op-folder'] = array(
    'fixinfo'=>array('Change Info', 'Change folder name and title of selected one.'),
    'delete'=>array('Delete', 'Delete selected folder.'),
    'thread'=>array('Create thread', 'Creates new thread which is related to selected folder.'),
    'create_folder'=>array('Create', 'Create new folder.'),
    );


$GLOBALS['message']['op-admin']['top'] =<<<EOF
<p><b>Please select your operations for these objects.</b></p>
EOF;

$GLOBALS['message']['op-admin']['bottom'] =<<<EOF
<tr>
 <td valign="top">Admin\'s work &nbsp; </td>
 <td>Please ask administrator ({$GLOBALS['root_email']}) if you want these works.</td>
</tr>
<tr>
 <td> </td>
<td> 
Change ownership of file.<be />
Change ownership of thread.<be />
Move your contents to another account.<br />
Delete thread completely.<be />
Recall thread from oldlist.<be />
Delete your account.
</td></tr>
EOF;

?>
