<?php

$GLOBALS['message'] = array(

  // Noun
  'user'        => 'Benutzer',
  'rule'        => 'Regeln',
  'bbs'         => 'Forum',
  'thread'      => 'Thema',
  'file'        => 'Datei',
  'search'      => 'Suche',
  'article'     => 'Artikel',  
  'password'    => 'Passwort',
  'old_threads' => 'Veraltete Threads',
  'remote-host' => 'Entfernter Host',
  'range'       => 'Bereich',
  'site'        => 'Webseite',
  
  'top'         => 'Top',  
  'list'        => 'Liste',
  'moddate'     => '&Auml;nderungsdatum',
  'name'        => 'Name',
  'introduction'=> 'Einf&uuml;hrung',
  'color'       => 'Farbschema',
  'order'       => 'Sortiereinstellung',
    
  'title'       => 'Titel',
  'account'     => 'Konto',
  'mail'        => 'E-Mail',
  'address'     => 'Adresse',
  'contents'    => 'Inhalte',
  'confirmation'=> 'Best&auml;tigung',
  'info'        => 'Info',
  'message'     => 'Nachricht',
  'operation'   => 'Bedienung',
  
  'genre'     => 'Genre',
  'restriction'     => 'Verbot',
  'folder'    => 'Ordner',
  'notification' => 'Benachrichtigung',
    'cookie' => 'Cookie',
    
  // for BBS or articles
  'bbs-disp_all' => 'Alles ansehen',
  'bbs-last'     => 'Letzte',
  'bbs-num'      => 'Nummer',
  
  // for user list
  'count-people'    => 'Personen',

  // for folder list
  'folder-all'       => '',
  'folder-all-title' => 'Alle Ordner',
  'folder-all-show'  => 'Alle zeigen',
  'folder-top'       => '~',
  'folder-top-title' => 'Top Ordner',

  // for file list
  'flist-thumbnail'   => 'Thumbnail(s)',
  'flist-author'      => 'Ersteller',
  'flist-fsize'       => 'Gr&ouml;&szlig;e',
  'count-files'       => 'Dateien',

  // for thread list
  'tlist-articles'  => 'Zahl der Artikel',
  'tlist-owner'     => 'Besitzer',
  'count-threads'   => 'Themen',

  // Verbs which is displaied on buttons
  'create'      => 'Erstellen',
  'execute'     => 'Ausf&uuml;hren',
  'index-login' => 'Anmelden',
  'logout'      => 'Abmelden',
  'reset'       => 'Zur&uuml;cksetzen',
  'submit'      => 'Einreichen',
  'send'        => 'Senden',
  'flow'        => 'Lauf',
  'relation'    => 'Beziehung',
  
  // Other verbs
  'go-forward'  => 'Vorw&auml;rts',
  'go-back'     => 'Zur&uuml;ck',
  'confirm'     => 'Best&auml;tigung',
  'overwrite'   => '&Uuml;berschreiben',
  'control'     => 'Pr&uuml;fen',
  
  // adjectives
  'next'        => 'N&auml;chste',
  'back'        => 'Zur&uuml;ck',
  '_name'       => 'Name',
  'belong'      => "'s ",
  'related'     => 'zugeh&ouml;rig ',
  'complete'    => 'fertigstellen',

  // texts
  'back2top'     => 'Zur&uuml;ck nach oben',
  'bbs-back2bbs' => 'Zur&uuml;ck zum Forum',    
  'bbs-write'    => 'Schreiben',
  'bbs-omit'     => '(*) bedeutet optional.',
  'welcome'    => 'Willkommen zu ' . $GLOBALS['index_name'] . '.',

  // for title of user's page
  'index-intro'     => "'s Arbeiten sind hier ausgestellt.",
  'index-title'     => "'s Seite.",

  // for toppage, printed in bottom 
  'index-account'   => 'Konto',
  'index-upassword' => "'s Passwort",
  'index-newuser'   => 'Neuen Benutzer erstellen',

  // for user's operation page
  'admin-top'       => 'Admin Hauptseite',
  'admin-user'      => 'Benutzer Info',
    'admin-title-top'    => "'s Admin Seite",
    'admin-title-thread' => "'s Thema pr&uuml;fen ",  
    'admin-title-file'   => "'s Datei pr&uuml;fen",  
    'admin-title-user'   => "'s Benutzer Information",
    'admin-title-folder' => "'s Ordner Information,",

    // for operation page
    'op-confirm'           => 'Best&auml;tigung der Handlung.',
    'op-complete'          => 'Handlung wurde ausgef&uuml;hrt.',
    'op-error'             => 'Fehler!',
    
    'is-proceeding' => ' wird durchgef&uuml;hrt.',
    'is-completed' => ' ist abgeschlossen.',
    'is-not-done' => ' ist nicht abgeschlossen.',
    'is-changed'   => ' ist ge&auml;ndert.',
    'is-deleted'   => ' ist gel&ouml;scht.',
    'is-created'   => ' ist erstellt.',

    //error (input related)
    'error-different-pass' => 'Beide Passw&ouml;rter m&uuml;ssen gleich sein.',
    'error-vacant'         => ' ist nicht gesetzt.',
    'error-too-large'      => ' ist zu lang. Maximale L&auml;nge ist : ',
    'error-too-short'      => ' ist zu kurz. Minimale L&auml;nge ist : ',
    'error-char'           => ', die Eingabe enth&auml;lt verbotene Zeichen.',
    'error-duration'       => 'Bitte warten Sie einige Sekunden nach Ihrer Aktion :',
    'error-duration2'      => 'Bitte fahren Sie mit Ihrer Aktion innerhalb der Zeitbegrenzung fort :',
    'error-input'          => ', die Eingabe ist falsch, hat einen verbotenen Wert, oder darf nicht modifiziert werden.',
    'error-invalid'        => ' hat einen ung&uuml;ltigen Wert.',
    'error-expired'        => ' ist abgelaufen.',
  
    // error (object related)
    'error-no-exists'      => 'Das Objekt existiert nicht.',
    'error-no-change'      => 'Der eingegebene Wert ist derselbe wie der urspr&uuml;ngliche Wert.',
    'error-already-exists' => 'Das Objekt existiert bereits.',
    'error-not-unique'     => 'Das Objekt ist nicht einzigartig. Gefundene Anzahl ist : ',  
    'error-unbinded'       => 'Beziehung existiert nicht mehr.',
    'error-binded'         => 'Dieses Objekt bezieht sich bereits auf andere.',
    'error-cant-bind'      => ' kann nicht eingebunden werden.',

    // error (authorization related)
    'error-not-login'      => 'Bitte als korrekter Benutzer anmelden.<br /> Wenn Sie sich nicht anmelden k&ouml;nnen, bitte konfigurieren Sie Ihren Browser f&uuml;r den Empfang von Cookies.',
    'error-opmode'         => 'Falscher Operationsmodus gesetzt.',
    'error-not-authorized' => '[en] You can not proceed the operation.',  
    'error-password'       => 'Passwort ist nicht korrekt.<br>Wenn Sie ihr Passwort vergeessen haben, kontaktieren sie bitte den Administrator (' . $GLOBALS['root_email'] . ').',
    'error-access-denied'  => 'Ihr Host oder IP-Adresse darf diese Website nicht aufrufen <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=access">(Siehe Details)</a>.',
    'error-access-proxy'  => 'Ihr Host oder IP-Adresse wurde als offener Proxy eingestuft, und darf nicht zugreifen oder posten <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=proxy">(Siehe Details)</a>.', 
  'error-post-denied'    => 'Ihr Host oder IP-Adresse darf keine Artikel in diesem Thema posten. <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=post">(Siehe Details)</a>.',
    'error-referrer'       => 'Bitte konfigurieren sie ihren Browser, Weiterleitungen zuzulassen.',
    
    // error (system related)
    'error-internal'       => 'Internet Fehler (vielleicht ein Bug, Entschuldigung). ',
    'error-not-writable'   => ' ist nicht schreibbar.',
    'error-not-readable'   => ' ist nicht lesbar.',    
    'error-session'        => 'Sitzung unvollst&auml;ndig.',
    'error-locked'         => 'Die Aktion ist durch einen anderen Benutzer gesperrt.',
    'error-transfer-pday'       => '[en]You can not download it because the total size of downloaded files by whole or each user has exceeded daily limitation.<br />Please try after the day changes in Japan <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(See detail)</a>.',
    'error-transfer-phr'       => '[en]You can not download it because the total size of downloaded files by whole or each user has exceeded hourly limitation.<br />Please try after the hour changes <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(See detail)</a>.',
  //    'error-transfer-pday'       => 'Sie k&ouml;nnen momentan nicht downloaden da die Gesamtgr&ouml;&szlig;e der heruntergeladenen Dateien aller Benutzer das Tageslimit &uuml;berschritten hat.<br />Bitte versuchen Sie es nochmal, wenn in Japan ein neuer Tag begonnen hat <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(Siehe Details)</a>.',
//    'error-transfer-phr'       => 'Sie k&ouml;nnen momentan nicht downloaden da die Gesamtgr&ouml;&szlig;e der heruntergeladenen Dateien aller Benutzer das Stundenlimit &uuml;berschritten hat.<br />Bitte versuchen Sie es zur n&auml;chsten vollen Stunde nochmal <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">(Siehe Details)</a>.',
    'error-db-connect'       => 'Verbindung zur DB/DB Server ist fehlgeschlagen.',
    
    'max-length' => 'Max L&auml;nge in [bytes] : ',
    'max-size' => 'Max Gr&ouml;&szlig;e in [kB] : ',
    'char-digit'    => 'Sie k&ouml;nnen nur Zahlen verwenden.',
    'char-unlimited' => 'SIe k&ouml;nnen s&auml;mtliche Zeichen verwenden.',
    'char-en' => 'Sie k&ouml;nnen Ziffern, Buchstaben, _ (Unterstrich) und - (Bindestrich) verwenden.',
    'char-email' => 'Sie k&ouml;nnen Ziffern, Buchstaben, und diese 4 Zeichen ( <b>@ _ - .</b> ) verwenden.',
    'char-html-ng' => 'Sie d&uuml;rfen diese 4 Zeichen (<b>&amp; &lt; &gt; &quot;</b>) nicht verwenden.',
    'not-changeable' => ' Nicht &auml;nderbar.',
    'require-same-password' => 'Bitte dasselbe Passwort wie oben eingeben.',
    
  'dummy'      => 'dummy');

$GLOBALS['message']['textmode'] = array(
  'Text Modus', 'Plain (Keine HTML Tags)',
 'Middle (Automatischer Zeilenvorschub)','HTML (Manueller Zeilenvorschub)',
 'Sie k&ouml;nnen diese Tags benutzen');

$GLOBALS['message']['sage_mode'] = array(
    0=>array('Float','Float','Thema geht nach oben, wenn Sie etwas zum Thema hinzuf&uuml;gen, es sei denn sie setzen &quot;sage&quot; als E-mail'),
    1=>array('Submarine','Submarine','Thema geht nur nach oben wenn Sie &quot;age&quot; als E-mail setzen'),
    2=>array('Bottom','Bottom','Thema geht niemals nach oben.'),
    );

$GLOBALS['message']['op-article'] = array(
    'fix'=>array('Korrigieren',"<br />Um einen Artikel zu korrigieren, ist <b>Passwort des Artikels</b> n&ouml;tig. Passwort des Themabesitzers ist nicht erlaubt."),
    'delete'=>array('L&ouml;schen','<br />Um einen Artikel zu l&ouml;schen, ist <b>Passwort des Administrators, Artikel- oder Themabesitzers</b> notwendig.<br /> Wenn sie das Administratorpassword + "x" setzen, wird der Artikel komplett gel&ouml;scht.'),
    'error-first' => 'Erste Nachricht kann nicht gel&ouml;scht oder modifiziert werden.',
    'error-fix-deleted' => 'Kann gel&ouml;schten Artikel nicht modifizieren.',
    'error-range' => 'Au&szlig;erhalb des Bereichs',
    'posted'  => 'Artikel gepostet.',
    'error-url'=> "Zu viele URLs.",    
  );

$GLOBALS['message']['op-file'] = array(
    'fixinfo'=>array('Info ver&auml;ndern', 'Ver&auml;ndern des Dateinamens, Titels, Genres, und der Einschr&auml;nkungen der ausgew&auml;hlten Datei.'),
    'delete'=>array('L&ouml;schen', 'L&ouml;schen der ausgew&auml;hlten Datei.'),
    'edit'=>array('Editieren', 'Ver&auml;ndern der ausgew&auml;hlten Textdatei in Ihrem Browser (Max ' . $GLOBALS['maxsize_file_edit'] . ' [kB])',
                  'Da ein Sitzungsfehler auftreten k&ouml;nnte, sollten sie besser lokal editieren, dann kopieren und einf&uuml;gen.<br />' ),
    'thread'=>array('Thema erstellen', 'Erstellt ein neues Thema mit Beziehung zur Ausgew&auml;hlten Datei.'),
    'bind_folder' =>array('Verbinden/Trennen zum Ordner', 'Hinzuf&uuml;gen oder L&ouml;schen einer Beziehung zwischen ausgew&auml;hltem Dokument und Ordner (leer lassen um zu l&ouml;schen).'),
    'bind_user'=>array('Verbinden zum Benutzer', '&Auml;ndern des Besitztums einer anonymen Datei.'),
    'create'=>array('Erstellen','Erstellt neues Textdokument.', 'Erstellen und Schreiben eines neuen Texts im Browser. Dateiname wird DateiName<b>.htm</b>'),
    'upload'=>array('Hochladen','Datei hochladen.', '&Uuml;berschreibt Dateien mit gleichem Namen.',
                    'Anderes Benutzerkonto', 'Die Datei wurde hochgeladen.',
                    '[en] Inputs below will be used commonly on all files above.',
                    '[en] Keep user\'s moddate as if there are no updates.'),
    'deal-anonymous'=>'Datei wird anonym.',
    'error-binary' => 'Sie k&ouml;nnen bin&auml;re Datei nicht editieren',
    'error-ms04-028' => 'Dieses jpg Bild enth&auml;lt Schadcode (MS04-028).',
    'error-filetype' => 'Dateityp nicht erkennbar, oder der Dateityp darf nicht erneuert werden. Diese Dateien' . $GLOBALS['allowed_ftype'] . ' sind erlaubt',
    'error-totalsize' => 'Die Gesamtgr&ouml;&szlig;e der Datei &uuml;berschreitet die Systembegrenzungen (' . $GLOBALS['maxsize_file_all'] . ' [MB]).',
    'error-quota' => 'Die Gesamtgr&ouml;&szlig;e der Datei &uuml;berschreitet die Kontingenzbegrenzungen (' . $GLOBALS['maxsize_file_quota'] . ' [MB/Benutzer]).',
    'error-upload-pday' => 'Die Gesamtgr&ouml;&szlig;e der erneuerten Dateien aller User &uuml;berschreitet die Begrenzungen (' . $GLOBALS['maxsize_file_update_pday'] . ' [kB/24Stunden]). <br />Bitte warten Sie mehrere Stunden <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">(Siehe Details)</a>.',
    'error-upload-pday' => 'Die Gesamtgr&ouml;&szlig;e Ihrer hochgeladenen Dateien &uuml;berschreitet die Begrenzungen (' . $GLOBALS['maxsize_file_update_puser_pday'] . ' [kB/24Stunden/Benutzer]). <br />Bitte warten Sie mehrere Stunden <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">(Siehe Details)</a>.',
    'time-remain'=>'Erh&auml;lt Zeit des Dokuments. Die Zeit bleibt erhalten wenn die Dateigr&ouml;&szlig;e sich um weniger als ' . $GLOBALS['minsize_file_update'] . ' Bytes &auml;ndert.',
    'notification-ext'=> 'Es ist nicht erlaubt die Erweiterung zu &auml;ndern.',  
    'notification-upload'=>
"Erlaubter Dateityp: {$GLOBALS['allowed_ftype']} (Erweiterung wird automatisch angehangen).
<br / >Der Thumbnail wird nicht angehangen wenn ihr Bild {$GLOBALS['image_maxW_thumbnail']} x  
{$GLOBALS['image_maxH_thumbnail']} Pixel &uuml;berschreitet.
<br>Um einen Download-Ansturm zu vermeiden, laden Sie bitte nicht mehr als 20MB auf einmal hoch, oder ver&ouml;ffentlichen Sie sie nicht in einer begrenzten Zeit."
  );

$GLOBALS['message']['op-thread'] = array(
    'stop'=>array('Stop', 'Sende ausgew&auml;hltes Thema zur old-log Liste.'),
    'recall' =>array('Widerrufen', 'Widerrufe ausgew&auml;hltes altes Thema und mache es aktuell.'),
    'fixinfo'=>array('Info &auml;ndern', '&Auml;ndere Flow Control, Genre, and Einschr&auml;nkungen.'),
    'bind_folder' =>array('Ordner verbinden/trennen', 'Hinzuf&uuml;gen oder L&ouml;schen einer Verbindung zwischen ausgew&auml;hltem Thema und Ordner. Leer lassen zum l&ouml;schen.'),
    'bind_file' =>array('Datei verbinden/trennen', 'Hinzuf&uuml;gen oder L&ouml;schen einer Verbindung zwischen ausgew&auml;hltem Thema und Datei. <br />Die Beziehung zum Ordner k&ouml;nnte ge&auml;ndert werden. Leer lassen zum L&ouml;schen.'),    
    'delete'=>array('L&ouml;schen','Thema l&ouml;schen'),
    'bind_user'=>array('Mit Nutzer verkn&uuml;pfen', 'Beziehung zwischen ausgew&auml;hltem Thema und Benutzer herstellen.'),
    'create'=>array('Erstellen','Erstellt neues Tehema.'),
  'link'   => '-eigenes Thema wird erstellt.',
    'flow-mode' => 'flow mode',
    'view'  =>array('Betrachten', 'Host und Cookie jedes Artikels betrachten'),
    'error-exceed' => "Kann nicht gesendet werden da das Thema die Beschr&auml;nkungen &uuml;berschreitet : " .
        "{$GLOBALS['bbs_article_max']} Artikel, oder {$GLOBALS['maxsize_thread']} [kB].",
    'warn-exceed' => "Dieses Thema &uuml;berschreitet beinahe die Beschr&auml;nkungen : " .
        "{$GLOBALS['bbs_article_max']} Artikel, oder {$GLOBALS['maxsize_thread']} [kB].",
    'auto-link' => 'Wenn sie ein Thema mit einer Beziehung zu einer Datei oder einem Ordner erstellen, wird es automatisch zum Thema des Benutzers.',
    'no-link' => array('Als normales Thema erstellen: Kein Bezug zu einem Benutzer.',
                       'Wenn Sie ein eigenes Thema erstellen wollen, m&uuml;ssen Sie sich <a href="upld-op-user-login.php">anmelden</a>.<br />'),
    'old-log' => array('Das veraltete Log', ' existiert stattdessen.'),
    'notification-create'=>"<p><b><a href=\"upld-index-admin.php?&mode=thread&uid_login={$GLOBALS['anonymous_user_id']}\">Neues Thema erstellen</a><br />
Achtung: Nur normale Themen werden durch diesen Link erstellt. Um ein benutzerbezogenes Thema zu erstellen,
m&uuml;ssen Sie sich <a href=\"upld-op-user-login.php\">anmelden</a>.</b></p>",
    'notification-title'=>'',
    'warn-obsoleted'    =>'Dieses Thema ist bereits veraltet.',
    'warn-current'    =>'Dieses Thema ist aktuell, nicht veraltet.',
    'error-thread-max' => 'Da das Thema die Beschr&auml;nkungen &uuml;berschreitet (' . $GLOBALS['bbs_thread_max'] . ' gibt es keinen Platz zum widerrufen.',
    );

$GLOBALS['message']['op-user'] = array(
  'intro'  =>array('Einleitung', '&Auml;ndern Sie die Einleitungsnachricht auf Ihrer Seite.'),
  'delete' =>array('L&ouml;schen', 'Benutzer l&ouml;schen'),
  'fixpass' =>array('Passwort &auml;ndern', '&Auml;ndert Passwort des Benutzers.'),
  'rcvmail'=>array('Mail erhalten','&Auml;ndern der Einstellungen f&uuml;r Mail Empfang.'),
  'change'=>array('Info &auml;ndern', '&Auml;ndern der Benutzerinformationen.', 'Editieren'),
  'continue'=>array('Fortfahren', ', Willkommen!'),
  'login'=>array('Anonyme Benutzer m&uuml;ssen sich nicht anmelden.', ', Willkommen', 'Administratormen&uuml;'),
  'create'=>array('Erstellen'),
  'color'=>array('Farbe &auml;ndern','&Auml;ndern der Hintergrundfarbe auf Ihrer Seite.','Vorschau','Hintergrund',
                 'Zur&uuml;ck zur vorigen Farbe', 'Zur&uuml;ck zum Systemstandard',
                 'Keine Einstellung...Browserfarbe', 'Bitte erst ansehen, dann &auml;ndern'),
  );

$GLOBALS['message']['op-restriction'] = array(
    'release'   => 'Zugangseinstellungen f&uuml;r Inhaltsbeschr&auml;nkungen',
    'changed'   => 'Zugangseinstellungen f&uuml;r Inhaltsbeschr&auml;nkungen wurden ge&auml;ndert.</p>',
    'denied-host'  => 'Sie d&uuml;rfen keine eingeschr&auml;nkten Inhalte betrachten <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">(Siehe Details)</a>.',
    'denied-tag'   => 'Bitte legen Sie Ihre Zugangseinstellungen fest auf <a href="' . $GLOBALS['http_dir_top'] . '/upld-index.php">toppage</a> um eingeschr&auml;nkte Inhalte zu sehen <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">(Siehe Details)</a>.',
    'denied-change' => 'Es ist Ihnen nicht erlaubt die Zugangseinstellungen f&uuml;r Inhaltsbeschr&auml;nkungen zu &auml;ndern.',
    'warn-tag'   => "Sie sind im Begriff, eingeschr&auml;nkte Inhalte anzusehen.\n",
    'notification-psp' => 'Der Download wird starten. Dieser Link f&uuml;hrt zum Download.',
);


$GLOBALS['message']['op-folder'] = array(
    'fixinfo'=>array('Info &auml;ndern', 'Ordnernamen und Titel der Auswahl &auml;ndern.'),
    'delete'=>array('L&ouml;schen', 'L&ouml;scht ausgew&auml;hlten Ordner.'),
    'thread'=>array('Thema erstellen', 'Erstellt neues Thema, welches mit dem ausgew&auml;hlten Ordner verbunden wird.'),
    'create_folder'=>array('Erstellen', 'Erstellt neuen Ordner.'),
    );


$GLOBALS['message']['op-admin']['top'] =<<<EOF
<p><b>Bitte treffen Sie Ihre Auswahl f&uuml;r diese Objekte.</b></p>
EOF;

$GLOBALS['message']['op-admin']['bottom'] =<<<EOF
<tr>
 <td valign="top">Arbeiten vom Administrator &nbsp; </td>
 <td>Bitte fragen Sie den Administrator ({$GLOBALS['root_email']}) wenn Sie diese Arbeiten sehen wollen.</td>
</tr>
<tr>
 <td> </td>
<td> 
Besitztum der Datei &auml;ndern.<be />
Besitztum des Themas &auml;ndern.<be />
Ihre Inhalte zu einem anderen Konto bewegen.<br />
Thema komplett l&ouml;schen.<be />
Thema von der oldlist widerrufen.<be />
Ihren Account l&ouml;schen.
</td></tr>
EOF;

?>
