<?php

$GLOBALS['message'] = array(

  // 名詞
  'user'        => 'ユーザ',
  'rule'        => '規約',
  'bbs'         => '掲示板',
  'thread'      => 'スレッド',
  'file'        => 'ファイル',
  'search'      => '検索',
  'article'     => '記事',
  'password'    => 'パスワード',
  'old_threads' => '過去ログ',
  'remote-host'=> 'リモートホスト',
  'range'     => '表示範囲',
  'site'        => 'サイト',
  
  'top'         => 'トップ',
  'list'        => '一覧',
  'moddate'     => '更新日時',
  'name'        => '名前',
  'introduction'=> '紹介文',
  'color'       => '配色',
  'order'       => '順序設定',
    
  'title'       => '題名',
  'account'     => 'アカウント',
  'mail'        => 'メール',
  'address'        => 'アドレス',
  'contents'    => '内容',
  'confirmation'=> '確認',
  'info'        => '情報',
  'message'     => 'メッセージ',  
  'operation'   => '操作',
  
  'genre'     => 'ジャンル',
  'restriction' => '制限',
  'folder'    => 'フォルダ',
  'notification' => '注意事項',
    'cookie' => 'クッキー',
    
  // 掲示板・記事表示
  'bbs-disp_all' => '全て表示',  
  'bbs-last'     => '最新', 
  'bbs-num'      => '番号',
  
  // ユーザ一覧表示
  'count-people'    => '人',

  // フォルダ表示
  'folder-all'       => '',
  'folder-all-title' => '全フォルダ',
  'folder-all-show'  => '全表示',
  'folder-top'       => '~',
  'folder-top-title' => 'トップフォルダ',

  // ファイル一覧表示
  'flist-thumbnail'   => 'サムネイル',
  'flist-author'      => '作者',
  'flist-fsize'       => 'サイズ',
  'count-files'       => '件',

  // スレッド一覧表示
  'tlist-articles'  => '記事数',
  'tlist-owner'     => '所有者',
  'count-threads'   => '件',

  // ボタンに表示する動詞
  'create'      => '作成',
  'execute'     => '実行',
  'index-login' => 'ログイン',
  'logout'      => 'ログアウト',
  'reset'       => '中止',
  'submit'      => '送信',
  'send'        => '送信',
  'flow'        => '浮上',
  'relation'    => '関連づけ',
  
  // その他の動詞
  'go-forward'  => '進む',
  'go-back'     => '戻る',
  'confirm'     => '確認',
  'overwrite'   => '上書き',
  'control'     => '制御',
  
  // 副詞、その他
  'next'        => '次',
  'back'        => '前',
  '_name'       => '名',
  'belong'      => 'さんの',
  'complete'    => '完了',
  'related'     => '関連',
  
  // 文章
  'back2top'     => '全体トップに戻る',
  'bbs-back2bbs' => '掲示板に戻る',  
  'bbs-write'    => '書き込む',  
  'bbs-omit'     => '(*) の付いたものは省略可能です。',
  'welcome'      => $GLOBALS['index_name'] . 'へようこそ！',
  // トップページ雛型（上）
  'index-title'     => 'のページ',
  'index-intro'     => 'さんの作品を公開しています',

    // トップページ雛型（下）
    'index-account'   => 'のアカウント',
    'index-upassword' => 'のパスワード',
    'index-newuser'   => '新規ユーザ作成',

    // 管理ページ雛形（上）
    'admin-top'          => '管理トップ',
    'admin-user'         => 'ユーザ情報',
    'admin-title-top'    => 'の管理ページ',
    'admin-title-thread' => 'のスレッド管理',  
    'admin-title-file'   => 'のファイル管理',  
    'admin-title-user'   => 'のユーザ管理',
    'admin-title-folder' => 'のフォルダ管理',

    // 管理ページ
    'op-confirm'  => '操作の確認',
    'op-complete' => '操作完了',
    'op-error'    => 'エラー',

    'is-proceeding' => 'を実行します.',
    'is-completed' => 'を実行（成功）しました.',
    'is-not-done'  => 'は実行されませんでした.',
    'is-changed'   => 'を変更しました.',
    'is-deleted'   => 'を削除しました.',
    'is-created'   => 'を作成しました.',

    // input requirement
    'max-length' => '最大長 [bytes] : ',
    'max-size' => '最大サイズ [kB] : ',
    'char-digit'    => '数字',
    'char-unlimited' => '字種制限なし ',
    'char-en'        => '半角英数字＋2種 ( <b>_ -</b> ) ',
    'char-email'     => '半角英数字＋4種 ( <b>_ - @ .</b> ) ',
    'char-html-ng'   => '<b>&amp; &lt; &gt; &quot;</b> の4種以外', 
    'not-changeable' => '変更不可です',
    'require-same-password' => '上と同じパスワードを入力してください',

    //error (input related)
    'error-different-pass' => '２つのパスワードは同一の内容にしてください',
    'error-vacant'         => 'が設定（入力）されていません。',
    'error-too-large'      => 'が長すぎます。最大長：',
    'error-too-short'      => 'が短すぎます。最小長：',
    'error-char'           => '（入力値）が許可されていない文字を含んでいます。',
    'error-duration'       => '前回の操作から十分な時間が経っていません。必要な間隔は次の通りです：',
    'error-duration2'       => '前回の操作からの時間が長すぎます。時間制限は次の通りです：',
    'error-input'          => '（入力値）が異なるか無効、変更不可、または禁止された値です。',
    'error-invalid'        => ' の値が無効です。',
    'error-expired'        => ' の有効期限が切れています。',
  
    // error (object related)
    'error-no-exists'      => '指定対象が存在しません。',
    'error-no-change'      => '入力値が既存値と同一です。',
    'error-already-exists' => '指定対象はすでに存在します。',
    'error-not-unique'     => '指定対象が複数見つかりました。見つかった数：',
    'error-unbinded'       => '関連付けは既に解除済です.',
    'error-binded'         => '既に他の関連づけがあります.',
    'error-cant-bind'      => 'は関連付けの対象ではありません',

    // error (authorization related)
    'error-not-login'      => '権限を持つユーザでログインしてください。<br />ログインできない場合は、ブラウザの設定を変更してクッキーを受け入れるようにしてください。',
    'error-opmode'         => '操作内容の指定が異常です。',
    'error-not-authorized' => '指定操作を行えません。',
    'error-password'       => 'パスワードが違います。<br>パスワードをお忘れの場合は、管理者（' . $GLOBALS['root_email'] . '）にご連絡ください。',
    'error-access-denied'  => '申し訳ありませんが、当該ホストからの接続を禁止しております <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=access">（詳細）</a>。',
    'error-access-proxy'  => '公開プロキシからのアクセスまたは投稿を禁止しております<a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=proxy">（詳細）</a>。', 
  'error-post-denied'    => '申し訳ありませんが当該ホストによる投稿・操作を禁止しております <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=post">（詳細）</a>。',
    'error-referrer'        => 'リファラを送信するように設定してください',
    
    // error (system related)
    'error-internal'       => '内部的な異常です（バグの可能性があります）。',
    'error-not-writable'   => 'に書き込みできません',
    'error-not-readable'   => 'から読み込みできません',
    'error-session'        => 'セッション異常です。',
    'error-locked'         => '他のユーザによって操作がロックされています。',
    'error-transfer-pday'       => '全ユーザ、またはあなたのダウンロード量合計が一日辺りの上限を超えたため、ダウンロードできません。<br>明日まで待って再度試行願います <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">（詳細）</a>。',
    'error-transfer-phr'       => '全ユーザ、またはあなたのダウンロード量合計が一時間辺りの上限を超えたため、ダウンロードできません。<br>次の00分以降に再度試行願います <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">（詳細）</a>。',
    'error-db-connect'       => 'データベースに接続できませんでした',
    
    'dummy'      => 'あああ'
  );

$GLOBALS['message']['textmode'] = array(
  'テキストモード', 'テキスト（タグ未使用）',
  '折衷（改行を自動変換）','HTML（改行もタグで明示）', '利用可能タグ');

$GLOBALS['message']['sage_mode'] =array(
    0=>array('通常','○',  'メール欄の先頭に&quot;sage&quot;と入れた時以外は浮上'),
    1=>array('潜行','△',  'メール欄の先頭に&quot;age&quot;と入れた時のみ浮上'),
    2=>array('沈降','×',  '一切浮上しない'),
    );

$GLOBALS['message']['op-article'] = array(
    'fix'=>array('修正',"<br />記事の修正には<b>投稿時のパスワード</b>が必要です。スレッド所有者のパスワードは使えません。"),
    'delete'=>array('削除','<br>記事の削除には<b>管理者・投稿者・スレッド所有者のパスワード</b>が必要です。<br />管理者パスワード＋"x" で記事を完全に削除できます。'),
    'error-first' => '最初の記事は削除・修正できません。',
    'error-fix-deleted' => '一度削除した記事は修正できません。',
    'error-range' => 'オフセットの指定にミスがあります',
    'posted'  => '記事を投稿しました.',
    'error-url'=> "URLが多すぎます",
  );
    

$GLOBALS['message']['op-file'] = array(
    'fixinfo'=>array('情報変更', '選択したファイルのファイル名や題名、ジャンルタグ、閲覧制限タグを変更します。'),
    'delete'=>array('削除', '選択したファイルを削除します。'),
    'edit'=>array('編集', '選択した文書ファイルをブラウザ上で編集します（最大 ' . $GLOBALS['maxsize_file_edit'] . ' [kB]）。',
                  "送信時に<b>セッション切れ</b>が発生する可能性がありますので、編集内容を<b>御手元に残して</b>頂きますようお願いします。<br />"),
    'thread'=>array('スレッド作成', '選択したファイルに関するスレッドを作成します。'),
    'bind_folder'  =>array('フォルダ関連付け/解除', '選択したファイルをフォルダに関連付けます。関連スレッドも同フォルダに関連付けられます。空欄にすると関連を解除します。'),
    'bind_user'=>array('ユーザ関連付け', '選択した名無し所有のファイルをユーザに関連付けます。'),
    'create'=>array('作成','ファイル作成', 'テキストファイルを作成します。拡張子は<b>.htm</b>となります。'),
    'upload'=>array('アップロード','ファイルアップロード',
                    '上書きする際はチェックしてください',
                    '代理アカウント','ファイルをアップロードしました。',
                    '以降の設定はアップロードされたファイル全てに適用されます',
                    'ユーザの更新時刻をそのままにする'),
    'deal-anonymous'=>'匿名で管理',
    'error-ms04-028' => 'Windowsの脆弱性(MS04-028)を衝くJPEG画像です。',    
    'error-binary' => 'バイナリファイルは編集できません。',
    'error-filetype' => "ファイルタイプが判別できないか、アップロードを許可していないファイルタイプです。<br />\n" . $GLOBALS['allowed_ftype'] . ' のみアップロードできます）',
  'error-totalsize'=>'全ユーザのアップロード合計サイズ制限（' . $GLOBALS['maxsize_file_all'] . ' [MB]）を超えているため、ファイルの追加は出来ません。',
    'error-quota' => 'ユーザが所有できるファイルサイズの上限（' . $GLOBALS['maxsize_file_quota'] . '[MB]）を超えているため、ファイルの追加は出来ません。',
    'error-upload-puser-pday' => '１ユーザが24時間以内にアップロードできるファイル合計サイズの上限（' . $GLOBALS['maxsize_file_update_puser_pday'] . ' [kB]）を超えているため、ファイルの追加は出来ません。<br />しばらく後に再度試してください <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">（詳細）</a>。',
    'error-upload-pday' => 'ユーザ全体が24時間以内にアップロードできるファイル合計サイズの上限（' . $GLOBALS['maxsize_file_update_pday'] . ' [kB]）を超えているため、ファイルの追加は出来ません。<br />しばらく後に再度試してください <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">（詳細）</a>。',


  'time-remain'=> '更新時刻に反映させない（サイズ変更が ' . $GLOBALS['minsize_file_update'] . ' バイト以下の場合は反映されません）',
    'notification-ext'=> '拡張子は変更できません。',
    'notification-upload'=>
"アップロード可能なファイル：{$GLOBALS['allowed_ftype']} （拡張子は自動的に付きます）
<br />画像サイズが{$GLOBALS['image_maxW_thumbnail']} x {$GLOBALS['image_maxH_thumbnail']} ピクセル以下であればサムネイルが付きます。
<br />ダウンロード負荷の集中を避けるため、<b>期間限定の公開</b>や<b>短時間での大量アップロード</b>は禁止とさせて頂きます。"
  );

$GLOBALS['message']['op-thread'] = array(
    'stop' =>array('停止', '選択スレッドを過去ログに落とします。'),
    'recall' =>array('復活', '選択スレッドを現行ログに戻します。'),
    'fixinfo' =>array('情報変更', '選択スレッドのフロー（上位表示）条件、ジャンルタグ、閲覧制限タグを変更します。'),
    'bind_file'  =>array('ファイル関連付け/解除', '選択スレッドをファイルに関連付け、フォルダも変更します。空欄で関連解除しますが、フォルダは変更しません。'),
    'bind_folder'  =>array('フォルダ関連付け/解除', '選択スレッドをフォルダに関連付けます。空欄で関連を解除します。'),
    'bind_user'=>array('ユーザ関連付け', '選択スレッドをユーザに関連付けます。'),
    'delete'=>array('削除','選択スレッドを削除します（過去ログにも残りません）。'),
  'create'=>array('作成','スレッド作成'),
  'link'   => 'の関連スレッドとして作成する。',
    'flow-mode' => 'flow mode',
    'view'  =>array('閲覧', 'ホストとクッキーの情報を閲覧します'),
  'error-exceed' => "{$GLOBALS['bbs_article_max']}件または {$GLOBALS['maxsize_thread']}[kB]の制限を越えているため、投稿できません。",
    'warn-exceed' => "{$GLOBALS['bbs_article_max']}件または {$GLOBALS['maxsize_thread']}[kB]の制限に近づいています。",    
    'error-sage'   => "浮上モードの指定が無効です。",
    'auto-link' => 'フォルダはファイルに従属します。ファイル・フォルダ関連スレッドは必ずユーザ関連スレッドになります。',
    'no-link' => array('名無しのスレッドとして作成する。',
                       'ユーザと関連するスレッドを作成するには、<b><a href="upld-op-user-login.php">ログイン</a>が必要</b>です。'),
    'old-log' => array('過去ログ', 'が存在します。'),
    'notification-create'=>"<p><b><a href=\"upld-index-admin.php?mode=thread&uid_login={$GLOBALS['anonymous_user_id']}\">新規スレッド作成</a>
<br />
注：通常スレッドとして作成します。ユーザの関連スレッドを作成するには<a href=\"upld-op-user-login.php\">ログイン</a>が必要です。</b></p>",
    'notification-title'=>'スレッドの題名に「はじめまして」は使わないようにお願いします。',
    'warn-obsoleted'    =>'このスレッドは過去ログに落ちています。',
    'warn-current'    =>'このスレッドは現行ログです。',
    'error-thread-max' => 'スレッド数が規定量（' . $GLOBALS['bbs_thread_max'] . '）を超えています。',
    );

$GLOBALS['message']['op-user'] = array(
  'intro' =>array('紹介文', 'ユーザページに表示する紹介文を編集します。'),
  'delete' =>array('削除', '選択ユーザを消去します。'),
  'fixpass' =>array('パスワード変更', '選択ユーザのパスワードを変更します。'),
  'rcvmail'=>array('メール受取設定変更',"選択ユーザのメール受取設定を変更します。アドレス未指定でも変更します。"),

    'change'=>array('情報変更', 'ユーザの情報を変更します。', '編集'),
    'login'=>array('名無しはログイン不要です','さん、ようこそ。', '管理メニュー'),
    'create'=>array('作成'),
    'continue'=>array('設定続行', 'さん、ようこそ。'),
    'color'=>array('色情報変更','背景色を変更します','プレビュー', '背景',
                   '以前の配色に戻す', 'システムの設定に戻す',
                   'ブラウザに委ねる', 'プレビュー後に「変更」してください'),
  );

$GLOBALS['message']['op-restriction'] = array(
    'release'   => '閲覧制限物へのアクセス',
    'changed'   => '閲覧制限コンテンツに対するアクセス設定を変更しました。',
    'denied-host'  => '閲覧制限コンテンツへのアクセスを禁止しております <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">（詳細）</a>。',
    'denied-tag'   => '閲覧制限コンテンツです。閲覧には<a href="' . $GLOBALS['http_dir_top'] . '/upld-index.php">トップページ</a>でのアクセス設定が必要です <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">（詳細）</a>。',
    'denied-change' => '閲覧制限コンテンツへのアクセス設定変更を禁止しております。',
    'warn-tag'   => "閲覧制限の掛ったファイルにアクセスします。\n",
    'notification-psp'   =>  'ダウンロードを開始します。下のリンクからローカルコンテンツを見て下さい。',
    );

$GLOBALS['message']['op-folder'] = array(
    'fixinfo'=>array('情報変更', '選択フォルダの名前と題名を変更します。'),
    'delete'=>array('削除', '選択フォルダを削除します。'),
    'create_folder'=>array('作成','フォルダを作成します。'),
    'thread'=>array('スレッド作成', '選択フォルダに関連付いたスレッドを作成します。'),
    );


$GLOBALS['message']['op-admin']['top'] =<<<EOF
<p><b>操作を選択して下さい。</b></p>
EOF;

$GLOBALS['message']['op-admin']['bottom'] =<<<EOF
<tr>
  <td valign="top">管理人に依頼 &nbsp; </td>
  <td>以下の操作は管理人（{$GLOBALS['root_email']}）にメールで依頼してください。</td>
</tr>
<tr>
  <td> </td>
  <td> 
ファイルを別ユーザの所有に変更 <br />
スレッドを別ユーザの所有に変更 <br />
全コンテンツを別ユーザの所有に変更<br />
スレッドの消去（過去ログも残さない）<br />
スレッドの復活<br />
ユーザアカウントの削除
</td></tr>
EOF;

?>
