<?php

$GLOBALS['message'] = array(

  // 名詞
  'user'        => '用戶列表',
  'rule'        => '規則',
  'bbs'         => '論壇',
  'thread'      => '主題',
  'file'        => '文檔',
  'search'      => '搜尋',
  'article'     => '貼文',
  'password'    => '密碼',
  'old_threads' => '已鎖定的主題',
  'remote-host'=> '遠程主機',
  'range'     => '顯示範圍',
  'site'        => '網站',
  
  'top'         => '頂端',
  'list'        => '一覽',
  'moddate'     => '更新時間',
  'name'        => '名稱',
  'introduction'=> '自我介紹',
  'color'       => '配色',
  'order'       => '排列設定',
    
  'title'       => '題目',
  'account'     => '帳戶',
  'mail'        => '電郵',
  'address'        => '地址',
  'contents'    => '內容',
  'confirmation'=> '確認',
  'info'        => '詳細資料',
  'message'     => '訊息',  
  'operation'   => '操作',
  
  'genre'     => '類型',
  'restriction' => '限制',
  'folder'    => '文件夾',
  'notification' => '注意事項',
    'cookie' => 'Cookie',
    
  // 掲示板・記事表示
  'bbs-disp_all' => '顯示全部',  
  'bbs-last'     => '最新', 
  'bbs-num'      => '編號',
  
  // ユーザ一覧表示
  'ulist-mail_mark' => ◎,
  'count-people'    => '人',

  // フォルダ表示
  'folder-all'       => '',
  'folder-all-title' => '所有文件夾',
  'folder-all-show'  => '顯示全部',
  'folder-top'       => '~',
  'folder-top-title' => '最上層文件夾',

  // ファイル一覧表示
  'flist-thumbnail'   => '預覽圖',
  'flist-author'      => '作者',
  'flist-fsize'       => '大小',
  'count-files'       => '個',

  // スレッド一覧表示
  'tlist-articles'  => '貼文數',
  'tlist-owner'     => '樓主',
  'count-threads'   => '條',

  // ボタンに表示する動詞
  'create'      => '建立',
  'execute'     => '執行',
  'index-login' => '登入',
  'logout'      => '登出',
  'reset'       => '重設',
  'submit'      => '送出',
  'send'        => '發文',
  'flow'        => '頂帖',
  'relation'    => '關聯',
  
  // その他の動詞
  'go-forward'  => '前進',
  'go-back'     => '回退',
  'confirm'     => '確認',
  'overwrite'   => '覆蓋',
  'control'     => '控制',
  
  // 副詞、その他
  'next'        => '下一',
  'back'        => '前一',
  '_name'       => '名稱',
  'belong'      => '的',
  'complete'    => '完成',
  'related'     => '關聯',
  
  // 文章
  'back2top'     => '回到主頁',
  'bbs-back2bbs' => '回到論壇',  
  'bbs-write'    => '回覆',  
  'bbs-omit'     => '帶(*)的項目不必填寫。',
  'welcome'      => '歡迎來到' . $GLOBALS['index_name'] . '！',
  // トップページ雛型（上）
  'index-title'     => '的個人頁',
  'index-intro'     => '的作品如下所示',

    // トップページ雛型（下）
    'index-account'   => '的帳戶',
    'index-upassword' => '的密碼',
    'index-newuser'   => '註冊新帳號',

    // 管理ページ雛形（上）
    'admin-top'          => '管理頁頂端',
    'admin-user'         => '用戶資料',
    'admin-title-top'    => '的管理頁面',
    'admin-title-thread' => '的貼文管理',  
    'admin-title-file'   => '的文檔管理',  
    'admin-title-user'   => '的用戶管理',
    'admin-title-folder' => '的文件夾管理',

    // 管理ページ
    'op-confirm'  => '確認操作',
    'op-complete' => '操作完成',
    'op-error'    => '出錯',

    'is-proceeding' => '將被執行。',
    'is-completed' => '執行成功。',
    'is-not-done'  => '並未執行。',
    'is-changed'   => '已完成變更。',
    'is-deleted'   => '已被刪除。',
    'is-created'   => '已成功建立。',

    // input requirement
    'max-length' => '長度上限 [bytes] : ',
    'max-size' => '大小上限 [kB] : ',
    'char-digit'    => '數字',
    'char-unlimited' => '字元無限制 ',
    'char-en'        => '半型字母數字+右列符號 ( <b>_ -</b> ) ',
    'char-email'     => '半型字母數字+右列符號 ( <b>_ - @ .</b> ) ',
    'char-html-ng'   => '除 <b>&amp; &lt; &gt; &quot;</b> 四種符號外', 
    'not-changeable' => '不可變更',
    'require-same-password' => '請輸入與上面一致的密碼',

    //error (input related)
    'error-different-pass' => '密碼欄的密碼須一致。',
    'error-vacant'         => '欄不能為空。',
    'error-too-large'      => '內容過長。長度上限為：',
    'error-too-short'      => '內容過短。長度下限為：',
    'error-char'           => '含不允許字元。',
    'error-duration'       => '操作過於頻繁。操作間隔下限為：',
    'error-duration2'       => '操作間的間隔過長。操作間隔上限為：',
    'error-input'          => '此輸入出錯，含不允許字元，或不可變更。',
    'error-invalid'        => '的值無效。',
    'error-expired'        => '已過期。',
  
    // error (object related)
    'error-no-exists'      => '目標並不存在。',
    'error-no-change'      => '輸入值與原值相同。',
    'error-already-exists' => '目標已存在。',
    'error-not-unique'     => '發現多個目標。其數量為：',
    'error-unbinded'       => '並不存在關聯。',
    'error-binded'         => '已存在關聯。',
    'error-cant-bind'      => '無法加入關聯。',

    // error (authorization related)
    'error-not-login'      => '請登錄為具權限的用戶。<br />若無法登入，請將瀏覽器設定為允許Cookies。',
    'error-opmode'         => '操作類型不當。',
    'error-not-authorized' => '無法執行該操作。',
    'error-password'       => '密碼錯誤。<br>若忘記密碼、請與管理員（' . $GLOBALS['root_email'] . '）聯絡。',
    'error-access-denied'  => '你的IP已被封鎖。 <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=access">（詳情）</a>。',
    'error-access-proxy'  => '你的IP被認定為公開代理服務器，因此無法進行訪問或投稿。<a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=proxy">（詳情）</a>。', 
  'error-post-denied'    => '你的IP無法在此貼文回覆。 <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=post">（詳情）</a>。',
    'error-referrer'        => '請允許瀏覽器送出referer資訊。',
    
    // error (system related)
    'error-internal'       => '系統內部出錯。',
    'error-not-writable'   => '無法寫入。',
    'error-not-readable'   => '無法讀取。',
    'error-session'        => 'Session出現異常。',
    'error-locked'         => '此操作已被其他用戶鎖定。',
    'error-transfer-pday'       => '全用戶，或個人的總下載量已超出本日上限，無法執行下載。<br>請待明天重試 <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">（詳情）</a>。',
    'error-transfer-phr'       => '全用戶，或個人的總下載量已超出本小時上限，無法執行下載。<br>請於下小時（00分）重試 <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=download">（詳情）</a>。',
    'error-db-connect'       => '無法連接數據庫。',
    
    'dummy'      => 'dummy'
  );

$GLOBALS['message']['textmode'] = array(
  '文字模式', '文字模式（不使用HTML標籤）',
  '折衷模式（自動換行）','HTML模式（以HTML標籤換行）', '可用的HTML標籤');

$GLOBALS['message']['sage_mode'] =array(
    0=>array('一般','○',  '電郵欄除以&quot;sage&quot;開始外均進行頂帖'),
    1=>array('潛行','△',  '只當電郵欄以&quot;age&quot;開始時方進行頂帖'),
    2=>array('沈降','×',  '永不頂帖'),
    );

$GLOBALS['message']['op-article'] = array(
    'fix'=>array('編輯',"<br />編輯貼文需要<b>發文時的密碼</b>，並非該樓用戶的密碼。"),
    'delete'=>array('刪除','<br />刪除貼文需要<b>管理員、投稿者或貼文擁有者的密碼</b>。<br />可使用(管理員的密碼＋"x")徹底刪除。'),
    'error-first' => '無法刪除或修改頂樓。',
    'error-fix-deleted' => '無法修改已刪除的貼文。',
    'error-range' => '範圍指定錯誤。',
    'posted'  => '貼文已發表。',
    'error-url'=> "鏈結過多。",
  );
    

$GLOBALS['message']['op-file'] = array(
    'fixinfo'=>array('編輯', '編輯指定文件的檔案名、題目、作品類型或瀏覽限制。'),
    'delete'=>array('刪除', '刪除指定文件。'),
    'edit'=>array('編輯內容', '在瀏覽器內編輯文字檔的內容（上限 ' . $GLOBALS['maxsize_file_edit'] . ' [kB]）。',
                  "發送時可能會出現<b>Session過期</b>的問題、因此請<b>事先備份編輯內容</b>。<br />"),
    'thread'=>array('建立主題', '建立與指定檔案關聯的主題。'),
    'bind_folder'  =>array('與文件夾建立/解除關聯', '將指定檔案與文件夾建立關聯。與該檔案關聯的主題亦會與該文件夾建立關聯。留空可解除關聯。'),
    'bind_user'=>array('與用戶建立關聯', '將指定無所屬檔案與用戶建立關聯。'),
    'create'=>array('建立','建立文檔', '將建立文檔。檔案格式為<b>.htm</b>。'),
    'upload'=>array('上傳','文檔上傳',
                    '覆蓋同名檔',
                    '分身帳戶','文檔已上傳。',
                    'Inputs below will be used commonly on all files above. 全上傳文檔將具有相同的配置。',
                    'Keep user\'s moddate as if there are no updates. 不更改檔案日期'),
    'deal-anonymous'=>'匿名管理',
    'error-ms04-028' => '此JPEG檔含MS04-028漏洞。',    
    'error-binary' => '不可編輯二進制文件。',
    'error-filetype' => "文檔類型無法判別，或被禁止。<br />\n" . '允許的文檔類型為：' . $GLOBALS['allowed_ftype'] . '。',
  'error-totalsize'=>'已達全用戶上傳上限（' . $GLOBALS['maxsize_file_all'] . ' [MB]），無法上傳文檔。',
    'error-quota' => '已達單個用戶上傳上限（' . $GLOBALS['maxsize_file_quota'] . '[MB]），無法上傳文檔。',
    'error-upload-puser-pday' => '個人總上載量已超出本日上限（' . $GLOBALS['maxsize_file_update_puser_pday'] . ' [kB]），無法上傳文檔。<br />請稍後重試 <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">（詳情）</a>。',
    'error-upload-pday' => '全用戶總上載量已超出本日上限（' . $GLOBALS['maxsize_file_update_pday'] . ' [kB]），無法上傳文檔。<br />請稍後重試 <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=upload">（詳情）</a>。',
  'time-remain'=> '不更改檔案日期（檔案大小改變小於 ' . $GLOBALS['minsize_file_update'] . ' 位元的檔案將保持檔案日期）',
    'notification-ext'=> '無法更改副檔名。',
    'notification-upload'=>
"可上傳的文檔：{$GLOBALS['allowed_ftype']} （副檔名將自動補完）
<br />像素大於{$GLOBALS['image_maxW_thumbnail']} x {$GLOBALS['image_maxH_thumbnail']} 的圖片將不會有預覽圖。
<br />為防止下載湧流，請勿進行<b>限時公開文檔</b>或<b>短時間大量上傳文檔</b>等行為。"
  );

$GLOBALS['message']['op-thread'] = array(
    'stop' =>array('鎖定', '將指定主題送入庫存'),
    'recall' =>array('解鎖', '將指定主題從庫存取出。'),
    'fixinfo' =>array('編輯', '編輯指定主題的頂帖模式，作品類型或瀏覽限制。'),
    'bind_file'  =>array('與文檔建立/解除關聯', '將指定主題與文檔關聯，同時改變其所在文件夾（如適用）。留空可解除關聯，但不會改變所在文件夾。'),
    'bind_folder'  =>array('與文件夾建立/解除關聯', '將指定主題與文件夾建立關聯。留空可解除關聯。'),
    'bind_user'=>array('與用戶建立關聯', '將指定主題與用戶建立關聯。'),
    'delete'=>array('刪除','刪除指定主題。'),
  'create'=>array('建立','建立主題'),
  'link'   => '將成為其關聯主題。',
    'flow-mode' => 'flow mode',
    'view'  =>array('檢視', '檢視IP及Cookies資料'),
  'error-exceed' => "貼文數已達{$GLOBALS['bbs_article_max']}個，或主題大小已達 {$GLOBALS['maxsize_thread']}[kB]、因此無法回帖。",
    'warn-exceed' => "注意：貼文數快將到達{$GLOBALS['bbs_article_max']}條貼文，或大小將到達 {$GLOBALS['maxsize_thread']}[kB]的限制。",    
    'error-sage'   => "頂帖模式指定無效。",
    'auto-link' => '文檔或文件夾的關聯主題必與該用戶擁有關聯。',
    'no-link' => '將建立無用戶關聯的普通主題。','建立與用戶關聯的主題<b>請先<a href="upld-op-user-login.php">登入</a></b>。',
    'old-log' => array('庫存的主題', '已存在。'),
    'notification-create'=>"<p><b><a href=\"upld-index-admin.php?mode=thread&uid_login={$GLOBALS['anonymous_user_id']}\">建立新帖</a>
<br />
注意：建立的將為無用戶關聯的普通主題。建立與用戶關聯的主題<b>請先<a href=\"upld-op-user-login.php\">登入</a></b>。</b></p>",
    'notification-title'=>'請不要使用「大家好」等作為主題標題。',
    'warn-obsoleted'    =>'此帖已被鎖定。',
    'warn-current'    =>'此帖並未被鎖定。',
    'error-thread-max' => '貼文數已達（' . $GLOBALS['bbs_thread_max'] . '）的上限。',
    );

$GLOBALS['message']['op-user'] = array(
  'intro' =>array('自我介紹', '編輯顯示與用戶頁中的自我介紹。'),
  'delete' =>array('刪除', '刪除指定用戶。'),
  'fixpass' =>array('更改密碼', '更改指定用戶的密碼。'),
  'rcvmail'=>array('電郵收發設定',"更改指定用戶的電郵收發設定。未指定電郵的亦可更改。"),

    'change'=>array('更改資料', '更改指定用戶的資料。', '更改'),
    'login'=>array('無名氏無需登入。','，歡迎。', '管理頁'),
    'create'=>array('建立'),
    'continue'=>array('繼續更改', '，歡迎。'),
    'color'=>array('改變配色','改變背景顏色','預覽', '背景',
                   '取消改變', '回到預設',
                   '使用瀏覽器配色', '預覽後請按「更改」'),
  );

$GLOBALS['message']['op-restriction'] = array(
    'release'   => '打開具瀏覽限制的文件',
    'changed'   => '已更改打開具瀏覽限制的文件的設定。',
    'denied-host'  => '你的IP被禁止打開具瀏覽限制的文件。 <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">（詳請）</a>。',
    'denied-tag'   => '此文件具瀏覽限制。請於<a href="' . $GLOBALS['http_dir_top'] . '/upld-index.php">主頁</a>更改瀏覽限制，方可打開。 <a href="' . $GLOBALS['http_dir_top'] . 'upld-index.php?mode=rule&error=restriction">（詳請）</a>。',
    'denied-change' => '你的IP被禁止更改瀏覽限制設定。',
    'warn-tag'   => "你將打開具瀏覽限制的文件。\n",
    'notification-psp'   =>  '下載即將開始。請點擊下方連結開始下載。',
    );

$GLOBALS['message']['op-folder'] = array(
    'fixinfo'=>array('更改內容', '改變指定文件夾的名稱與描述。'),
    'delete'=>array('刪除', '刪除指定文件夾。'),
    'create_folder'=>array('建立','建立新的文件夾。'),
    'thread'=>array('建立主題', '建立與指定文件夾關聯的主題。'),
    );


$GLOBALS['message']['op-admin']['top'] =<<<EOF
<p><b>請選擇操作。</b></p>
EOF;

$GLOBALS['message']['op-admin']['bottom'] =<<<EOF
<tr>
  <td valign="top">管理員操作 &nbsp; </td>
  <td>以下操作請以電郵（{$GLOBALS['root_email']}）聯絡管理員進行。</td>
</tr>
<tr>
  <td> </td>
  <td> 
將文檔的所有人更改為其他用戶 <br />
將主題的所有人更改為其他用戶 <br />
將所有物件的所有人更改為其他用戶<br />
刪除主題（不可復原）<br />
開放舊主題<br />
刪除帳號
</td></tr>
EOF;

?>
